This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 870781 - keyboard shortcuts patch got lost during Xfce 4.10 update
keyboard shortcuts patch got lost during Xfce 4.10 update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libxfce4ui (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18Beta-accepted/F18BetaFreezeExcept F18Xfce
  Show dependency treegraph
 
Reported: 2012-10-28 12:44 EDT by Christoph Wickert
Modified: 2012-11-08 04:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 04:43:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2012-10-28 12:44:12 EDT
Description of problem:
In Xfce 4.8 we shipped a patch to enable additional keyboard shortcuts like print screen or window with xfce4-screenshooter, volume up/down or other multimedia keys. When Kevin updated to Xfce 4.10, he did not take care of the patch, this means many shortcuts that used to work will no longer work in F18.

Version-Release number of selected component (if applicable):
libxfce4ui-4.10.0-2.fc18

Additional info:
I have already fixed this in libxfce4ui-4.10.0-3.fc18. This bug is only to follow the blocker/NTH bug process as we are already frozen. I consider this important for the Xfce spin, this is why I would like propose it as NTH. I only changed the configuration file /etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml, nothing else, so I don't see a high risk with this package, even though it's critical path for Xfce.
Comment 1 Fedora Update System 2012-10-28 12:45:15 EDT
libxfce4ui-4.10.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libxfce4ui-4.10.0-3.fc18
Comment 2 Tim Lauridsen 2012-10-29 03:35:29 EDT
I have installed the package and did a "Settings->Keyboard -> Application Shortcuts -> Reset to Default" to get the updated shortcuts.
Then PrintScreen and others was working as expected.
Comment 3 Fedora Update System 2012-10-29 14:13:03 EDT
Package libxfce4ui-4.10.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxfce4ui-4.10.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17157/libxfce4ui-4.10.0-3.fc18
then log in and leave karma (feedback).
Comment 4 Christoph Wickert 2012-10-31 08:13:07 EDT
Dear QA people, please let us kown if you accept this as NTH or not.
Comment 5 Adam Williamson 2012-10-31 15:50:28 EDT
Discussed at 2012-10-31 NTH review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-31/f18beta-blocker-review-6.2012-10-31-16.00.log.txt . Accepted as NTH as this is a significant regression in Xfce which cannot be entirely fixed with an update (it affects live boots). The fix is specific to Xfce and looks safe.
Comment 6 Adam Williamson 2012-11-08 04:43:59 EST
Update went stable. Closing. (Bodhi closing of bugs when updates go stable is currently broken).

Note You need to log in before you can comment on or make changes to this bug.